﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace TreeViewTest
{
    public class Dataitem : INotifyPropertyChanged
    {
        public Dataitem()
        {
            this.Children = new ObservableCollection<Dataitem>();
        }

        public ObservableCollection<Dataitem> Children
        {
            get;
            set;
        }
        public string Name
        {
            get;
            set;
        }

        private bool  selected;
        public bool Selected
        {
            get { return selected; }
            set
            {
                selected = value;
                RaisePropertyChanged("Selected");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
		protected void RaisePropertyChanged(string propertyName)
		{
			var handler = PropertyChanged;
			if(handler != null)
			{
				handler(this, new PropertyChangedEventArgs(propertyName));
			}
		}       
    }
}
